Subject: Re: bug#22426: 24.5; Crash from full-screen in OS X for emacs 24.5

From: Anders Lindgren <[email-masked]>
Date: Mon, 25 Jan 2016 09:41:28 +0100

Hi!

> It seems that 25 fixes the problem. The bug does NOT occur with
>
> Emacs-2016-01-24_01-41-01-8cdb9ac0fb060366bc823de84ecdba258716addb-universal.dmg
> from that address. I also checked the build of 24 up there (
> Emacs-24.5-1-universal.dmg ) and it still has the same bug, but I can
> confirm that the bug is gone in that nightly build of 25.
>

This is great news! I will close the bug, but I will investigate the cause
of the regression I noticed.

I'm totally happy to help debug the problem in 24, as it would be an
> excuse to understand the development process better, but I'm also happy
> to wait for 25.1 to become stable, which seems imminent.
>

> Say the word and I'll figure out how to compile a debugging version of
> 24 (I just managed to codesign gdb), but I suspect that energy may be
> better spent on 25.
>

No need, as it is fixed in Emacs 25.

Of course, if you feel like contributing to NS interface in Emacs 25,
you're more than welcome, as the long time maintainer retired last year.

    -- Anders